Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5099)
@@ -1,5 +1,4 @@
-
 ! $Id$
-!
+
 !#define IO_DEBUG
 MODULE physiq_mod
@@ -9,22 +8,22 @@
 CONTAINS
 
-  SUBROUTINE physiq (nlon,nlev, &
-       debut,lafin,pdtphys_, &
-       paprs,pplay,pphi,pphis,presnivs, &
-       u,v,rot,t,qx, &
-       flxmass_w, &
-       d_u, d_v, d_t, d_qx, d_ps)
-
-! For clarity, the "USE" section is now arranged in alphabetical order,
-! with a separate section for CPP keys
-! PLEASE try to follow this rule 
-
-    USE ACAMA_GWD_rando_m, only: ACAMA_GWD_rando
+  SUBROUTINE physiq (nlon, nlev, &
+          debut, lafin, pdtphys_, &
+          paprs, pplay, pphi, pphis, presnivs, &
+          u, v, rot, t, qx, &
+          flxmass_w, &
+          d_u, d_v, d_t, d_qx, d_ps)
+
+    ! For clarity, the "USE" section is now arranged in alphabetical order,
+    ! with a separate section for CPP keys
+    ! PLEASE try to follow this rule
+
+    USE ACAMA_GWD_rando_m, only : ACAMA_GWD_rando
     USE aero_mod
     USE add_phys_tend_mod, only : add_pbl_tend, add_phys_tend, diag_phys_tend, prt_enerbil, &
-        fl_ebil, fl_cor_ebil
-    USE assert_m, only: assert
+            fl_ebil, fl_cor_ebil
+    USE assert_m, only : assert
     USE change_srf_frac_mod
-    USE conf_phys_m, only: conf_phys
+    USE conf_phys_m, only : conf_phys
     USE carbon_cycle_mod, ONLY : infocfields_init, RCO2_glo, carbon_cycle_rad
     USE CFMIP_point_locations   ! IM stations CFMIP
@@ -32,49 +31,49 @@
     USE dimphy
     USE etat0_limit_unstruct_mod
-    USE FLOTT_GWD_rando_m, only: FLOTT_GWD_rando
-    USE fonte_neige_mod, ONLY  : fonte_neige_get_vars
-    USE geometry_mod, ONLY: cell_area, latitude_deg, longitude_deg
-    USE ioipsl, only: histbeg, histvert, histdef, histend, histsync, &
-         histwrite, ju2ymds, ymds2ju, getin
+    USE FLOTT_GWD_rando_m, only : FLOTT_GWD_rando
+    USE fonte_neige_mod, ONLY : fonte_neige_get_vars
+    USE geometry_mod, ONLY : cell_area, latitude_deg, longitude_deg
+    USE ioipsl, only : histbeg, histvert, histdef, histend, histsync, &
+            histwrite, ju2ymds, ymds2ju, getin
     USE ioipsl_getin_p_mod, ONLY : getin_p
     USE indice_sol_mod
-    USE infotrac_phy, ONLY: nqtot, nbtr, nqo, tracers, type_trac
-    USE readTracFiles_mod, ONLY: addPhase
-    USE strings_mod,  ONLY: strIdx
+    USE infotrac_phy, ONLY : nqtot, nbtr, nqo, tracers, type_trac
+    USE readTracFiles_mod, ONLY : addPhase
+    USE strings_mod, ONLY : strIdx
     USE iophy
     USE limit_read_mod, ONLY : init_limit_read
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, nbp_lev, klon_glo, grid1dTo2d_glo, grid_type, unstructured
-    USE mod_phys_lmdz_mpi_data, only: is_mpi_root
+    USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat, nbp_lev, klon_glo, grid1dTo2d_glo, grid_type, unstructured
+    USE mod_phys_lmdz_mpi_data, only : is_mpi_root
     USE mod_phys_lmdz_para
-    USE netcdf95, only: nf95_close
-    USE netcdf, only: nf90_fill_real     ! IM for NMC files
-    USE open_climoz_m, only: open_climoz ! ozone climatology from a file
-    USE ozonecm_m, only: ozonecm ! ozone of J.-F. Royer
+    USE netcdf95, only : nf95_close
+    USE netcdf, only : nf90_fill_real     ! IM for NMC files
+    USE open_climoz_m, only : open_climoz ! ozone climatology from a file
+    USE ozonecm_m, only : ozonecm ! ozone of J.-F. Royer
     USE pbl_surface_mod, ONLY : pbl_surface
-    USE phyaqua_mod, only: zenang_an
-    USE phyetat0_mod, only: phyetat0
-    USE phystokenc_mod, ONLY: offline, phystokenc
-    USE phys_cal_mod, only: year_len, mth_len, days_elapsed, jh_1jan, &
-         year_cur, mth_cur,jD_cur, jH_cur, jD_ref, day_cur, hour, calend
-!!  USE phys_local_var_mod, ONLY : a long list of variables
-!!              ==> see below, after "CPP Keys" section
+    USE phyaqua_mod, only : zenang_an
+    USE phyetat0_mod, only : phyetat0
+    USE phystokenc_mod, ONLY : offline, phystokenc
+    USE phys_cal_mod, only : year_len, mth_len, days_elapsed, jh_1jan, &
+            year_cur, mth_cur, jD_cur, jH_cur, jD_ref, day_cur, hour, calend
+    !!  USE phys_local_var_mod, ONLY : a long list of variables
+    !!              ==> see below, after "CPP Keys" section
     USE phys_state_var_mod ! Variables sauvegardees de la physique
     USE phys_output_mod
     USE phys_output_ctrlout_mod
-    USE print_control_mod, ONLY: mydebug=>debug , lunout, prt_level, &
-         alert_first_call, call_alert, prt_alerte
+    USE print_control_mod, ONLY : mydebug => debug, lunout, prt_level, &
+            alert_first_call, call_alert, prt_alerte
     USE readaerosol_mod, ONLY : init_aero_fromfile
     USE readaerosolstrato_m, ONLY : init_readaerosolstrato
-    USE radlwsw_m, only: radlwsw
-    USE regr_horiz_time_climoz_m, ONLY: regr_horiz_time_climoz
-    USE regr_pr_time_av_m, only: regr_pr_time_av
-    USE surface_data,     ONLY : type_ocean, ok_veget
-    USE time_phylmdz_mod, only: current_time, itau_phy, pdtphys, raz_date, update_time
-    USE tracinca_mod, ONLY: config_inca
-    USE tropopause_m,     ONLY: dyn_tropopause
-    USE ice_sursat_mod,  ONLY: flight_init, airplane
+    USE radlwsw_m, only : radlwsw
+    USE regr_horiz_time_climoz_m, ONLY : regr_horiz_time_climoz
+    USE regr_pr_time_av_m, only : regr_pr_time_av
+    USE surface_data, ONLY : type_ocean, ok_veget
+    USE time_phylmdz_mod, only : current_time, itau_phy, pdtphys, raz_date, update_time
+    USE tracinca_mod, ONLY : config_inca
+    USE tropopause_m, ONLY : dyn_tropopause
+    USE ice_sursat_mod, ONLY : flight_init, airplane
     USE vampir
     USE write_field_phy
-    USE wxios, ONLY: g_ctx, wxios_set_context
+    USE wxios, ONLY : g_ctx, wxios_set_context
     USE lmdz_lscp, ONLY : lscp
     USE lmdz_call_cloud_optics_prop, ONLY : call_cloud_optics_prop
@@ -86,39 +85,33 @@
     USE lmdz_thermcell_ini, ONLY : thermcell_ini, iflag_thermals_tenv
     USE lmdz_thermcell_dtke, ONLY : thermcell_dtke
-    USE lmdz_blowing_snow_ini, ONLY : blowing_snow_ini , qbst_bs 
+    USE lmdz_blowing_snow_ini, ONLY : blowing_snow_ini, qbst_bs
     USE lmdz_lscp_ini, ONLY : lscp_ini
     USE lmdz_ratqs_main, ONLY : ratqs_main
     USE lmdz_ratqs_ini, ONLY : ratqs_ini
     USE lmdz_cloud_optics_prop_ini, ONLY : cloud_optics_prop_ini
-    USE phys_output_var_mod, ONLY :      cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv
+    USE phys_output_var_mod, ONLY : cloudth_sth, cloudth_senv, cloudth_sigmath, cloudth_sigmaenv
     USE phys_output_var_mod, ONLY : cloud_cover_sw, cloud_cover_sw_s2
 
-    USE geometry_mod,      ONLY: longitude, latitude, boundslon, boundslat, ind_cell_glo
-    USE time_phylmdz_mod,  ONLY: ndays
-    USE infotrac_phy,      ONLY: nqCO2
-
-    USE time_phylmdz_mod,    ONLY: annee_ref, day_ini, day_ref, start_time
-    USE vertical_layers_mod, ONLY: aps, bps, ap, bp
-
-
-    USE lmdz_xios, ONLY: xios_update_calendar, xios_context_finalize, xios_get_field_attr, &
+    USE geometry_mod, ONLY : longitude, latitude, boundslon, boundslat, ind_cell_glo
+    USE time_phylmdz_mod, ONLY : ndays
+    USE infotrac_phy, ONLY : nqCO2
+
+    USE time_phylmdz_mod, ONLY : annee_ref, day_ini, day_ref, start_time
+    USE vertical_layers_mod, ONLY : aps, bps, ap, bp
+
+    USE lmdz_xios, ONLY : xios_update_calendar, xios_context_finalize, xios_get_field_attr, &
             xios_field_is_active, xios_context, xios_set_current_context
-    USE wxios, ONLY: missing_val, using_xios
+    USE wxios, ONLY : missing_val, using_xios
     USE paramLMDZ_phy_mod
 
-    !USE cmp_seri_mod
-!    USE add_phys_tend_mod, only : add_pbl_tend, add_phys_tend, diag_phys_tend, prt_enerbil, &
-!  &      fl_ebil, fl_cor_ebil
-
-!!!!!!!!!!!!!!!!!! "USE" section for CPP keys !!!!!!!!!!!!!!!!!!!!!!!!
-!
-!
-#ifdef CPP_Dust
-    USE phytracr_spl_mod, ONLY: phytracr_spl, phytracr_spl_out_init
+    USE phytracr_spl_mod, ONLY : phytracr_spl, phytracr_spl_out_init
     USE phys_output_write_spl_mod
-#else
     USE phytrac_mod, ONLY : phytrac_init, phytrac
     USE phys_output_write_mod
-#endif
+
+    USE lmdz_cppkeys_wrapper, ONLY : CPPKEY_DUST
+
+    !!!!!!!!!!!!!!!!!! "USE" section for CPP keys !!!!!!!!!!!!!!!!!!!!!!!!
+
 
 #ifdef REPROBUS
@@ -131,232 +124,230 @@
 #ifdef CPP_RRTM
     USE YOERAD, ONLY : NRADLP
-!    USE YOESW, ONLY : RSUN
 #endif
 
-    USE phys_local_var_mod, ONLY: d_q_emiss
+    USE phys_local_var_mod, ONLY : d_q_emiss
     USE strataer_local_var_mod
-    USE strataer_nuc_mod, ONLY: strataer_nuc_init
-    USE strataer_emiss_mod, ONLY: strataer_emiss_init
-    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_STRATAER
-!
-!
-!!!!!!!!!!!!!!!!!!  END "USE" for CPP keys !!!!!!!!!!!!!!!!!!!!!!
-
-USE physiqex_mod, ONLY : physiqex
-USE phys_local_var_mod, ONLY: phys_local_var_init, phys_local_var_end, &
-       ! [Variables internes non sauvegardees de la physique]
-       ! Variables locales pour effectuer les appels en serie
-       t_seri,q_seri,ql_seri,qs_seri,qbs_seri,u_seri,v_seri,tr_seri,rneb_seri, &
-       rhcl, &        
-       ! Dynamic tendencies (diagnostics)
-       d_t_dyn,d_q_dyn,d_ql_dyn,d_qs_dyn,d_qbs_dyn,d_u_dyn,d_v_dyn,d_tr_dyn,d_rneb_dyn, &
-       d_q_dyn2d,d_ql_dyn2d,d_qs_dyn2d,d_qbs_dyn2d, &
-       ! Physic tendencies
-       d_t_con,d_q_con,d_q_con_zmasse,d_u_con,d_v_con, &
-       d_tr, &                              !! to be removed?? (jyg)
-       d_t_wake,d_q_wake, &
-       d_t_lwr,d_t_lw0,d_t_swr,d_t_sw0, &
-       d_t_ajsb,d_q_ajsb, &
-       d_t_ajs,d_q_ajs,d_u_ajs,d_v_ajs, &
-!       d_t_ajs_w,d_q_ajs_w, &
-!       d_t_ajs_x,d_q_ajs_x, &
-       !
-       d_t_eva,d_q_eva,d_ql_eva,d_qi_eva, &
-       d_t_lsc,d_q_lsc,d_ql_lsc,d_qi_lsc, &
-       d_t_lscst,d_q_lscst, &
-       d_t_lscth,d_q_lscth, &
-       plul_st,plul_th, &
-       !
-       d_t_vdf,d_q_vdf, d_qbs_vdf, d_u_vdf,d_v_vdf,d_t_diss, &
-       d_t_vdf_x, d_t_vdf_w, &
-       d_q_vdf_x, d_q_vdf_w, &
-       d_ts, &
-       !
-       d_t_bsss,d_q_bsss,d_qbs_bsss, &
-       !
-!       d_t_oli,d_u_oli,d_v_oli, &
-       d_t_oro,d_u_oro,d_v_oro, &
-       d_t_oro_gw,d_u_oro_gw,d_v_oro_gw, &
-       d_t_lif,d_u_lif,d_v_lif, &
-       d_t_ec, &
-       !
-       du_gwd_hines,dv_gwd_hines,d_t_hin, &
-       dv_gwd_rando,dv_gwd_front, &
-       east_gwstress,west_gwstress, &
-       d_q_ch4, &
-       ! proprecip
-       qraindiag, qsnowdiag, &
-       dqreva, dqssub, &
-       dqrauto,dqrcol,dqrmelt,dqrfreez, &
-       dqsauto,dqsagg,dqsrim,dqsmelt,dqsfreez, &
-       !  Special RRTM
-       ZLWFT0_i,ZSWFT0_i,ZFLDN0,  &
-       ZFLUP0,ZFSDN0,ZFSUP0,      &
-       !
-       topswad_aero,solswad_aero,   &
-       topswai_aero,solswai_aero,   &
-       topswad0_aero,solswad0_aero, &
-       !LW additional
-       toplwad_aero,sollwad_aero,   &
-       toplwai_aero,sollwai_aero,   &
-       toplwad0_aero,sollwad0_aero, &
-       !pour Ecrad
-       topswad_aero_s2, solswad_aero_s2,   &
-       topswai_aero_s2, solswai_aero_s2,   &
-       topswad0_aero_s2, solswad0_aero_s2, &
-       topsw_aero_s2, topsw0_aero_s2,      &
-       solsw_aero_s2, solsw0_aero_s2,      &
-       topswcf_aero_s2, solswcf_aero_s2,   &
-       !LW diagnostics
-       toplwad_aero_s2, sollwad_aero_s2,   &
-       toplwai_aero_s2, sollwai_aero_s2,   &
-       toplwad0_aero_s2, sollwad0_aero_s2, &
-       !
-       topsw_aero,solsw_aero,       &
-       topsw0_aero,solsw0_aero,     &
-       topswcf_aero,solswcf_aero,   &
-       tausum_aero,tau3d_aero,      &
-       drytausum_aero,              &
-       !
-       !variables CFMIP2/CMIP5
-       topswad_aerop, solswad_aerop,   &
-       topswai_aerop, solswai_aerop,   &
-       topswad0_aerop, solswad0_aerop, &
-       topsw_aerop, topsw0_aerop,      & 
-       solsw_aerop, solsw0_aerop,      &
-       topswcf_aerop, solswcf_aerop,   &
-       !LW diagnostics
-       toplwad_aerop, sollwad_aerop,   &
-       toplwai_aerop, sollwai_aerop,   &
-       toplwad0_aerop, sollwad0_aerop, &
-       !pour Ecrad
-       topswad_aero_s2, solswad_aero_s2,   &
-       topswai_aero_s2, solswai_aero_s2,   &
-       topswad0_aero_s2, solswad0_aero_s2, &
-       topsw_aero_s2, topsw0_aero_s2,      &
-       solsw_aero_s2, solsw0_aero_s2,      &
-       topswcf_aero_s2, solswcf_aero_s2,   &
-       !LW diagnostics
-       toplwad_aero_s2, sollwad_aero_s2,   &
-       toplwai_aero_s2, sollwai_aero_s2,   &
-       toplwad0_aero_s2, sollwad0_aero_s2, &
-       !
-       ptstar, pt0, slp, &
-       !
-       bils, &
-       !
-       cldh, cldl,cldm, cldq, cldt,      &
-       JrNt,                             &
-       dthmin, evap, snowerosion,fder, plcl, plfc,   &
-       prw, prlw, prsw, prbsw, water_budget,         &
-       s_lcl, s_pblh, s_pblt, s_therm,   &
-       cdragm, cdragh,                   &
-       zustar, zu10m, zv10m, rh2m, qsat2m, &
-       zq2m, zt2m, zn2mout, weak_inversion, &
-       zt2m_min_mon, zt2m_max_mon,   &         ! pour calcul_divers.h
-       t2m_min_mon, t2m_max_mon,  &            ! pour calcul_divers.h
-       !
-       s_pblh_x, s_pblh_w, &
-       s_lcl_x, s_lcl_w,   &
-       !
-       slab_wfbils, tpot, tpote,               &
-       ue, uq, ve, vq, zxffonte,               &
-       uwat, vwat,                             &
-       zxfqcalving, zxfluxlat,                 &
-       zxrunofflic,                            &
-       zxtsol, snow_lsc, zxfqfonte, zxqsurf,   &
-       delta_qsurf,                            &
-       rain_lsc, rain_num,                     &
-       !
-       sens_x, sens_w, &
-       zxfluxlat_x, zxfluxlat_w, &
-       !
-       pbl_tke_input, pbl_eps, l_mix, wprime,&
-       t_therm, q_therm, u_therm, v_therm, &
-       cdragh_x, cdragh_w, &
-       cdragm_x, cdragm_w, &
-       kh, kh_x, kh_w, &
-       !
-       wake_k, &
-       alp_wake, & 
-       wake_h, wake_omg, &
-                       ! tendencies of delta T and delta q:
-       d_deltat_wk, d_deltaq_wk, &         ! due to wakes
-       d_deltat_wk_gw, d_deltaq_wk_gw, &   ! due to wake induced gravity waves
-       d_deltat_vdf, d_deltaq_vdf, &       ! due to vertical diffusion
-       d_deltat_the, d_deltaq_the, &       ! due to thermals
-       d_deltat_ajs_cv, d_deltaq_ajs_cv, & ! due to dry adjustment of (w) before convection
-                       ! tendencies of wake fractional area and wake number per unit area:
-       d_s_wk, d_s_a_wk, d_dens_wk,  d_dens_a_wk, &  ! due to wakes
-!!!       d_s_vdf, d_dens_a_vdf, d_dens_vdf, & ! due to vertical diffusion
-!!!       d_s_the, d_dens_a_the, d_dens_the, & ! due to thermals
-       !                                  
-       ptconv, ratqsc, &
-       wbeff, convoccur, zmax_th, &
-       sens, flwp, fiwp,  &
-       alp_bl_conv,alp_bl_det,  &
-       alp_bl_fluct_m,alp_bl_fluct_tke,  &
-       alp_bl_stat, n2, s2,  strig, zcong, zlcl_th, &
-       proba_notrig, random_notrig,  &
-!!       cv_gen,  &  !moved to phys_state_var_mod
-       !
-       dnwd0,  &
-       omega,  &
-       epmax_diag,  &
-       !    Deep convective variables used in phytrac
-       pmflxr, pmflxs,  &
-       wdtrainA, wdtrainS, wdtrainM,  &
-       upwd, dnwd, &
-       ep,  &
-       da, mp, &
-       phi, &
-       wght_cvfd, &
-       phi2, &
-       d1a, dam, &
-       ev, &
-       elij, &
-       qtaa, &
-       clw, &
-       epmlmMm, eplaMm, &
-       sij, &
-       !
-       rneblsvol, &
-       pfraclr, pfracld, cldfraliq, sigma2_icefracturb, mean_icefracturb,  &
-       distcltop, temp_cltop,  &
-       zqsatl, zqsats, &
-       qclr, qcld, qss, qvc, rnebclr, rnebss, gamma_ss, &
-       Tcontr, qcontr, qcontr2, fcontrN, fcontrP, &
-       cldemi,  &
-       cldfra, cldtau, fiwc,  &
-       fl, re, flwc,  &
-       ref_liq, ref_ice, theta,  &
-       ref_liq_pi, ref_ice_pi,  &
-       zphi, zx_rh, zx_rhl, zx_rhi,  &
-       pmfd, pmfu,  &
-       !
-       t2m, fluxlat,  &
-       fsollw, evap_pot,  &
-       fsolsw, wfbils, wfevap, &  
-       prfl, psfl,bsfl, fraca, Vprecip,  &
-       zw2,  &
-       !
-       fluxu, fluxv,  &
-       fluxt,  &
-       !
-       uwriteSTD, vwriteSTD, &                !pour calcul_STDlev.h
-       wwriteSTD, phiwriteSTD, &              !pour calcul_STDlev.h
-       qwriteSTD, twriteSTD, rhwriteSTD, &    !pour calcul_STDlev.h
-       ! 
-       beta_prec,  &
-       rneb,  &
-       zxsnow,snowhgt,qsnow,to_ice,sissnow,runoff,albsol3_lic, &
-       zxfluxt,zxfluxq 
-       !
-       USE phys_local_var_mod, ONLY: zfice, dNovrN, ptconv
-       USE phys_output_var_mod, ONLY: scdnc, cldncl, reffclwtop, lcc, reffclws, &
-       reffclwc, cldnvi, lcc3d, lcc3dcon, lcc3dstra, icc3dcon, icc3dstra
-       USE output_physiqex_mod, ONLY: output_physiqex
-        USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA
-
+    USE strataer_nuc_mod, ONLY : strataer_nuc_init
+    USE strataer_emiss_mod, ONLY : strataer_emiss_init
+    USE lmdz_cppkeys_wrapper, ONLY : CPPKEY_STRATAER
+
+
+    !!!!!!!!!!!!!!!!!!  END "USE" for CPP keys !!!!!!!!!!!!!!!!!!!!!!
+
+    USE physiqex_mod, ONLY : physiqex
+    USE phys_local_var_mod, ONLY : phys_local_var_init, phys_local_var_end, &
+            ! [Variables internes non sauvegardees de la physique]
+            ! Variables locales pour effectuer les appels en serie
+            t_seri, q_seri, ql_seri, qs_seri, qbs_seri, u_seri, v_seri, tr_seri, rneb_seri, &
+            rhcl, &
+            ! Dynamic tendencies (diagnostics)
+            d_t_dyn, d_q_dyn, d_ql_dyn, d_qs_dyn, d_qbs_dyn, d_u_dyn, d_v_dyn, d_tr_dyn, d_rneb_dyn, &
+            d_q_dyn2d, d_ql_dyn2d, d_qs_dyn2d, d_qbs_dyn2d, &
+            ! Physic tendencies
+            d_t_con, d_q_con, d_q_con_zmasse, d_u_con, d_v_con, &
+            d_tr, &                              !! to be removed?? (jyg)
+            d_t_wake, d_q_wake, &
+            d_t_lwr, d_t_lw0, d_t_swr, d_t_sw0, &
+            d_t_ajsb, d_q_ajsb, &
+            d_t_ajs, d_q_ajs, d_u_ajs, d_v_ajs, &
+            !       d_t_ajs_w,d_q_ajs_w, &
+            !       d_t_ajs_x,d_q_ajs_x, &
+
+            d_t_eva, d_q_eva, d_ql_eva, d_qi_eva, &
+            d_t_lsc, d_q_lsc, d_ql_lsc, d_qi_lsc, &
+            d_t_lscst, d_q_lscst, &
+            d_t_lscth, d_q_lscth, &
+            plul_st, plul_th, &
+
+            d_t_vdf, d_q_vdf, d_qbs_vdf, d_u_vdf, d_v_vdf, d_t_diss, &
+            d_t_vdf_x, d_t_vdf_w, &
+            d_q_vdf_x, d_q_vdf_w, &
+            d_ts, &
+
+            d_t_bsss, d_q_bsss, d_qbs_bsss, &
+
+            !       d_t_oli,d_u_oli,d_v_oli, &
+            d_t_oro, d_u_oro, d_v_oro, &
+            d_t_oro_gw, d_u_oro_gw, d_v_oro_gw, &
+            d_t_lif, d_u_lif, d_v_lif, &
+            d_t_ec, &
+
+            du_gwd_hines, dv_gwd_hines, d_t_hin, &
+            dv_gwd_rando, dv_gwd_front, &
+            east_gwstress, west_gwstress, &
+            d_q_ch4, &
+            ! proprecip
+            qraindiag, qsnowdiag, &
+            dqreva, dqssub, &
+            dqrauto, dqrcol, dqrmelt, dqrfreez, &
+            dqsauto, dqsagg, dqsrim, dqsmelt, dqsfreez, &
+            !  Special RRTM
+            ZLWFT0_i, ZSWFT0_i, ZFLDN0, &
+            ZFLUP0, ZFSDN0, ZFSUP0, &
+
+            topswad_aero, solswad_aero, &
+            topswai_aero, solswai_aero, &
+            topswad0_aero, solswad0_aero, &
+            !LW additional
+            toplwad_aero, sollwad_aero, &
+            toplwai_aero, sollwai_aero, &
+            toplwad0_aero, sollwad0_aero, &
+            !pour Ecrad
+            topswad_aero_s2, solswad_aero_s2, &
+            topswai_aero_s2, solswai_aero_s2, &
+            topswad0_aero_s2, solswad0_aero_s2, &
+            topsw_aero_s2, topsw0_aero_s2, &
+            solsw_aero_s2, solsw0_aero_s2, &
+            topswcf_aero_s2, solswcf_aero_s2, &
+            !LW diagnostics
+            toplwad_aero_s2, sollwad_aero_s2, &
+            toplwai_aero_s2, sollwai_aero_s2, &
+            toplwad0_aero_s2, sollwad0_aero_s2, &
+
+            topsw_aero, solsw_aero, &
+            topsw0_aero, solsw0_aero, &
+            topswcf_aero, solswcf_aero, &
+            tausum_aero, tau3d_aero, &
+            drytausum_aero, &
+
+            !variables CFMIP2/CMIP5
+            topswad_aerop, solswad_aerop, &
+            topswai_aerop, solswai_aerop, &
+            topswad0_aerop, solswad0_aerop, &
+            topsw_aerop, topsw0_aerop, &
+            solsw_aerop, solsw0_aerop, &
+            topswcf_aerop, solswcf_aerop, &
+            !LW diagnostics
+            toplwad_aerop, sollwad_aerop, &
+            toplwai_aerop, sollwai_aerop, &
+            toplwad0_aerop, sollwad0_aerop, &
+            !pour Ecrad
+            topswad_aero_s2, solswad_aero_s2, &
+            topswai_aero_s2, solswai_aero_s2, &
+            topswad0_aero_s2, solswad0_aero_s2, &
+            topsw_aero_s2, topsw0_aero_s2, &
+            solsw_aero_s2, solsw0_aero_s2, &
+            topswcf_aero_s2, solswcf_aero_s2, &
+            !LW diagnostics
+            toplwad_aero_s2, sollwad_aero_s2, &
+            toplwai_aero_s2, sollwai_aero_s2, &
+            toplwad0_aero_s2, sollwad0_aero_s2, &
+
+            ptstar, pt0, slp, &
+
+            bils, &
+
+            cldh, cldl, cldm, cldq, cldt, &
+            JrNt, &
+            dthmin, evap, snowerosion, fder, plcl, plfc, &
+            prw, prlw, prsw, prbsw, water_budget, &
+            s_lcl, s_pblh, s_pblt, s_therm, &
+            cdragm, cdragh, &
+            zustar, zu10m, zv10m, rh2m, qsat2m, &
+            zq2m, zt2m, zn2mout, weak_inversion, &
+            zt2m_min_mon, zt2m_max_mon, &         ! pour calcul_divers.h
+            t2m_min_mon, t2m_max_mon, &            ! pour calcul_divers.h
+
+            s_pblh_x, s_pblh_w, &
+            s_lcl_x, s_lcl_w, &
+
+            slab_wfbils, tpot, tpote, &
+            ue, uq, ve, vq, zxffonte, &
+            uwat, vwat, &
+            zxfqcalving, zxfluxlat, &
+            zxrunofflic, &
+            zxtsol, snow_lsc, zxfqfonte, zxqsurf, &
+            delta_qsurf, &
+            rain_lsc, rain_num, &
+
+            sens_x, sens_w, &
+            zxfluxlat_x, zxfluxlat_w, &
+
+            pbl_tke_input, pbl_eps, l_mix, wprime, &
+            t_therm, q_therm, u_therm, v_therm, &
+            cdragh_x, cdragh_w, &
+            cdragm_x, cdragm_w, &
+            kh, kh_x, kh_w, &
+
+            wake_k, &
+            alp_wake, &
+            wake_h, wake_omg, &
+            ! tendencies of delta T and delta q:
+            d_deltat_wk, d_deltaq_wk, &         ! due to wakes
+            d_deltat_wk_gw, d_deltaq_wk_gw, &   ! due to wake induced gravity waves
+            d_deltat_vdf, d_deltaq_vdf, &       ! due to vertical diffusion
+            d_deltat_the, d_deltaq_the, &       ! due to thermals
+            d_deltat_ajs_cv, d_deltaq_ajs_cv, & ! due to dry adjustment of (w) before convection
+            ! tendencies of wake fractional area and wake number per unit area:
+            d_s_wk, d_s_a_wk, d_dens_wk, d_dens_a_wk, &  ! due to wakes
+            !!!       d_s_vdf, d_dens_a_vdf, d_dens_vdf, & ! due to vertical diffusion
+            !!!       d_s_the, d_dens_a_the, d_dens_the, & ! due to thermals
+
+            ptconv, ratqsc, &
+            wbeff, convoccur, zmax_th, &
+            sens, flwp, fiwp, &
+            alp_bl_conv, alp_bl_det, &
+            alp_bl_fluct_m, alp_bl_fluct_tke, &
+            alp_bl_stat, n2, s2, strig, zcong, zlcl_th, &
+            proba_notrig, random_notrig, &
+            !!       cv_gen,  &  !moved to phys_state_var_mod
+
+            dnwd0, &
+            omega, &
+            epmax_diag, &
+            !    Deep convective variables used in phytrac
+            pmflxr, pmflxs, &
+            wdtrainA, wdtrainS, wdtrainM, &
+            upwd, dnwd, &
+            ep, &
+            da, mp, &
+            phi, &
+            wght_cvfd, &
+            phi2, &
+            d1a, dam, &
+            ev, &
+            elij, &
+            qtaa, &
+            clw, &
+            epmlmMm, eplaMm, &
+            sij, &
+
+            rneblsvol, &
+            pfraclr, pfracld, cldfraliq, sigma2_icefracturb, mean_icefracturb, &
+            distcltop, temp_cltop, &
+            zqsatl, zqsats, &
+            qclr, qcld, qss, qvc, rnebclr, rnebss, gamma_ss, &
+            Tcontr, qcontr, qcontr2, fcontrN, fcontrP, &
+            cldemi, &
+            cldfra, cldtau, fiwc, &
+            fl, re, flwc, &
+            ref_liq, ref_ice, theta, &
+            ref_liq_pi, ref_ice_pi, &
+            zphi, zx_rh, zx_rhl, zx_rhi, &
+            pmfd, pmfu, &
+
+            t2m, fluxlat, &
+            fsollw, evap_pot, &
+            fsolsw, wfbils, wfevap, &
+            prfl, psfl, bsfl, fraca, Vprecip, &
+            zw2, &
+
+            fluxu, fluxv, &
+            fluxt, &
+
+            uwriteSTD, vwriteSTD, &                !pour calcul_STDlev.h
+            wwriteSTD, phiwriteSTD, &              !pour calcul_STDlev.h
+            qwriteSTD, twriteSTD, rhwriteSTD, &    !pour calcul_STDlev.h
+
+            beta_prec, &
+            rneb, &
+            zxsnow, snowhgt, qsnow, to_ice, sissnow, runoff, albsol3_lic, &
+            zxfluxt, zxfluxq
+
+    USE phys_local_var_mod, ONLY : zfice, dNovrN, ptconv
+    USE phys_output_var_mod, ONLY : scdnc, cldncl, reffclwtop, lcc, reffclws, &
+            reffclwc, cldnvi, lcc3d, lcc3dcon, lcc3dstra, icc3dcon, icc3dstra
+    USE output_physiqex_mod, ONLY : output_physiqex
+    USE lmdz_cppkeys_wrapper, ONLY : CPPKEY_INCA
 
     IMPLICIT NONE
@@ -369,5 +360,5 @@
     !!AA                  -  uniformisation des parametrisations ds phytrac
     !!AA                  -  stockage des moyennes des champs necessaires
-    !!AA                     en mode traceur off-line 
+    !!AA                     en mode traceur off-line
     !!======================================================================
     !!   CLEFS CPP POUR LES IO
@@ -422,14 +413,14 @@
     !$OMP THREADPRIVATE(flag_volc_surfstrat)
     LOGICAL ok_cvl  ! pour activer le nouveau driver pour convection KE
-    PARAMETER (ok_cvl=.TRUE.)
+    PARAMETER (ok_cvl = .TRUE.)
     LOGICAL ok_gust ! pour activer l'effet des gust sur flux surface
-    PARAMETER (ok_gust=.FALSE.)
+    PARAMETER (ok_gust = .FALSE.)
     INTEGER, SAVE :: iflag_radia     ! active ou non le rayonnement (MPL)
     !$OMP THREADPRIVATE(iflag_radia)
     !======================================================================
     LOGICAL check ! Verifier la conservation du modele en eau
-    PARAMETER (check=.FALSE.)
+    PARAMETER (check = .FALSE.)
     LOGICAL ok_stratus ! Ajouter artificiellement les stratus
-    PARAMETER (ok_stratus=.FALSE.)
+    PARAMETER (ok_stratus = .FALSE.)
     !======================================================================
     REAL amn, amx
@@ -438,5 +429,5 @@
     ! Clef iflag_cycle_diurne controlant l'activation du cycle diurne:
     ! en attente du codage des cles par Fred
-    ! iflag_cycle_diurne est initialise par conf_phys et se trouve 
+    ! iflag_cycle_diurne est initialise par conf_phys et se trouve
     ! dans clesphys.h (IM)
     !======================================================================
@@ -462,30 +453,28 @@
     SAVE ok_journe
     !$OMP THREADPRIVATE(ok_journe)
-    !
+
     LOGICAL ok_mensuel ! sortir le fichier mensuel
     SAVE ok_mensuel
     !$OMP THREADPRIVATE(ok_mensuel)
-    !
+
     LOGICAL ok_instan ! sortir le fichier instantane
     SAVE ok_instan
     !$OMP THREADPRIVATE(ok_instan)
-    !
-    LOGICAL ok_LES ! sortir le fichier LES 
-    SAVE ok_LES                            
-    !$OMP THREADPRIVATE(ok_LES)                  
-    !
-    LOGICAL callstats ! sortir le fichier stats 
-    SAVE callstats                            
-    !$OMP THREADPRIVATE(callstats)                  
-    !
+
+    LOGICAL ok_LES ! sortir le fichier LES
+    SAVE ok_LES
+    !$OMP THREADPRIVATE(ok_LES)
+
+    LOGICAL callstats ! sortir le fichier stats
+    SAVE callstats
+    !$OMP THREADPRIVATE(callstats)
+
     LOGICAL ok_region ! sortir le fichier regional
-    PARAMETER (ok_region=.FALSE.)
+    PARAMETER (ok_region = .FALSE.)
     !======================================================================
     REAL seuil_inversion
     SAVE seuil_inversion
     !$OMP THREADPRIVATE(seuil_inversion)
-    
-    
-    
+
     real facteur
 
@@ -495,37 +484,37 @@
     INTEGER lmax_th(klon)
     INTEGER limbas(klon)
-    REAL ratqscth(klon,klev)
-    REAL ratqsdiff(klon,klev)
-    REAL zqsatth(klon,klev)
+    REAL ratqscth(klon, klev)
+    REAL ratqsdiff(klon, klev)
+    REAL zqsatth(klon, klev)
 
     !======================================================================
-    !
+
     ! indices de traceurs eau vapeur, liquide, glace, fraction nuageuse LS (optional), blowing snow (optional)
-    INTEGER,SAVE :: ivap, iliq, isol, irneb, ibs
-!$OMP THREADPRIVATE(ivap, iliq, isol, irneb, ibs)
-    !
-    !
+    INTEGER, SAVE :: ivap, iliq, isol, irneb, ibs
+    !$OMP THREADPRIVATE(ivap, iliq, isol, irneb, ibs)
+
+
     ! Variables argument:
-    !
+
     INTEGER nlon
     INTEGER nlev
-    REAL,INTENT(IN) :: pdtphys_
+    REAL, INTENT(IN) :: pdtphys_
     ! NB: pdtphys to be used in physics is in time_phylmdz_mod
     LOGICAL debut, lafin
-    REAL paprs(klon,klev+1)
-    REAL pplay(klon,klev)
-    REAL pphi(klon,klev)
+    REAL paprs(klon, klev + 1)
+    REAL pplay(klon, klev)
+    REAL pphi(klon, klev)
     REAL pphis(klon)
     REAL presnivs(klev)
-!JLD    REAL znivsig(klev)
-!JLD    real pir
-
-    REAL u(klon,klev)
-    REAL v(klon,klev)
-
-    REAL, intent(in):: rot(klon, klev)
+    !JLD    REAL znivsig(klev)
+    !JLD    real pir
+
+    REAL u(klon, klev)
+    REAL v(klon, klev)
+
+    REAL, intent(in) :: rot(klon, klev)
     ! relative vorticity, in s-1, needed for frontal waves
 
-    REAL t(klon,klev),thetal(klon,klev)
+    REAL t(klon, klev), thetal(klon, klev)
     ! thetal: ligne suivante a decommenter si vous avez les fichiers
     !     MPL 20130625
